# Generated by Django 2.1.1 on 2018-09-22 17:56

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
from django.utils.timezone import utc


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('virtualcontests', '0022_auto_20180922_1744'),
    ]

    operations = [
        migrations.CreateModel(
            name='VirtualContest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contestType', models.CharField(max_length=10)),
                ('date_started', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_end', models.DateTimeField(default=datetime.datetime(2018, 9, 22, 20, 56, 59, 61341, tzinfo=utc))),
                ('question_one', models.CharField(max_length=10, null=True)),
                ('question_two', models.CharField(max_length=10, null=True)),
                ('question_three', models.CharField(max_length=10, null=True)),
                ('question_four', models.CharField(max_length=10, null=True)),
                ('question_five', models.CharField(max_length=10, null=True)),
                ('question_one_penalty', models.IntegerField(default=0, null=True)),
                ('question_two_penalty', models.IntegerField(default=0, null=True)),
                ('question_three_penalty', models.IntegerField(default=0, null=True)),
                ('question_four_penalty', models.IntegerField(default=0, null=True)),
                ('question_five_penalty', models.IntegerField(default=0, null=True)),
                ('question_one_score', models.IntegerField(default=0, null=True)),
                ('question_two_score', models.IntegerField(default=0, null=True)),
                ('question_three_score', models.IntegerField(default=0, null=True)),
                ('question_four_score', models.IntegerField(default=0, null=True)),
                ('question_five_score', models.IntegerField(default=0, null=True)),
                ('total_score', models.IntegerField(default=0)),
                ('user_created', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='contestType',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='date_end',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='date_started',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_five',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_five_penalty',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_five_score',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_four',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_four_penalty',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_four_score',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_one',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_one_penalty',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_one_score',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_three',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_three_penalty',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_three_score',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_two',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_two_penalty',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='question_two_score',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='total_score',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='user_created',
        ),
        migrations.AddField(
            model_name='activevirtualcontest',
            name='user',
            field=models.CharField(default='', max_length=50),
        ),
        migrations.AddField(
            model_name='archivevirtualcontest',
            name='user',
            field=models.CharField(default='', max_length=50),
        ),
        migrations.AlterField(
            model_name='archivevirtualcontest',
            name='archived_contest',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.VirtualContest'),
        ),
        migrations.AddField(
            model_name='activevirtualcontest',
            name='active_contest',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.VirtualContest'),
        ),
    ]
